<template>
	<view class="all">
		<ujp-navbar title="关于我们"></ujp-navbar>
		<view class="about">
			<img  v-if="branchParameterBl('ud')" src="@/assets/static/img/aboutusUd.jpg" alt="">
			
			<img v-else src="@/assets/static/img/aboutus.png" alt="">
			
			<p class="font-weight2">{{projectName}}</p>
		</view>
		<u-cell-group>
			<u-cell-item :titleStyle='titleStyle' title="用户协议" @click="gotoUrl('pages/article/details?code=YHXY')"></u-cell-item>
			<u-cell-item :titleStyle='titleStyle' title="隐私政策" @click="gotoUrl('pages/article/details?code=YSZC')"></u-cell-item>
			<u-cell-item :titleStyle='titleStyle' title="充值协议" @click="gotoUrl('pages/article/details?code=CZXY')"></u-cell-item>
		</u-cell-group>
		<view class="about-foot">
			<p>湖北荆鹏集团</p>
			<p>版权所有 Copyright ©2022</p>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				elderMode:false,
				projectName:'',
				form: {
					name: '',
					intro: '',
				},
				titleStyle:{
					"font-size":'28rpx'
				},
				elderStatus: false,
			}
		},
		onReady() {
			if(this.carhelp.get("getElderModeClass") == "长辈模式") {
				this.elderStatus = true;
			} else {
				this.elderStatus = false;
			}
		},
		methods: {
			theme(type) {
				
			  if(type == 'elder')	
			  {
				document.getElementsByTagName('body')[0].setAttribute('data-theme',type);
				 let data = {
				 	"font-size":'32rpx',
					"font-weight":'bold!important'
				 	};
				 this.titleStyle = data;
			  }
			  else
			  {
				document.getElementsByTagName('body')[0].setAttribute('data-theme',type);
				 let data = {
				 	"font-size":'28rpx'
				 	};
				 this.titleStyle = data;
			  } 
			}
		},
		onReady(){
			this.elderMode = this.carhelp.get('getElderModeClass')  == '长辈模式';
			if(this.elderMode)
				this.theme('elder')
			else
				this.theme('standard')
		},
		onLoad(){
			this.projectName=process.car.ProjectName;
		}
	}
</script>
<style>
	page{
		background-color: #F7F7F7;
	}
</style>
<style lang="scss" scoped>
	@import "@/_theme.scss";
	.all{
		@include themeify{
			font-size: themed('font-size2');
		}
	}
	.about{
		background-color: #fff;
		padding: 36px 0;
		margin-bottom: 10px;
		display: flex;
		align-items: center;
		flex-direction: column;
		img{
			height: 120rpx;
			width: 120rpx;
		}
		p{
			margin-top: 8px;
		}
	}
	.about-foot{
		position: fixed;
		bottom:16px;
		text-align: center;
		left: 0;
		right: 0;
		p{
			color:#666;
		}
	}
</style>
